#version 330

#pragma vertex_shader

in vec4 vertex;
out vec3 worldPos;
uniform mat4  transform;
uniform mat4  modelMatrix;

void main() {
	gl_Position = transform * vertex;
	worldPos = (modelMatrix * vertex).xyz;
}

#pragma fragment_shader

in vec3 worldPos;
layout(location=0) out vec4 buf0;
layout(location=1) out vec4 buf1;

uniform sampler2D diffusemap;

void main() {
	vec4 diff = texture(diffusemap, worldPos.xz * 0.01) * 0.1;


	buf0 = vec4(0.3, 0.5, 1.0, 1.0) + diff;
	buf1 = vec4(0.5, 1.0, 0.5, 0.0);
}
